i.tasscap(1)

NAME
i.tasscap.py - Performs Tasseled Cap (Kauth Thomas) transformation.

KEYWORDS
imagery, transformation, Landsat, MODIS, Tasseled Cap transformation

SYNOPSIS
i.tasscap.py
i.tasscap.py --help
i.tasscap.py input=name[,name,...] output=basename sensor=string [--overwrite] [--help] [--verbose] [--quiet] [--ui]

  Flags:

--overwrite
    Allow output files to overwrite existing files

--help
    Print usage summary

--verbose
    Verbose module output

--quiet
    Quiet module output

--ui
    Force launching GUI dialog

  Parameters:

input=name[,name,...] [required]
    For Landsat4-7: bands 1, 2, 3, 4, 5, 7; for Landsat8: bands 2, 3, 4, 5, 6, 7; for MODIS: bands 1, 2, 3, 4, 5, 6, 7

output=basename [required]
    Name for output basename raster map(s)
    Name for output basename raster map(s)

sensor=string [required]
    Satellite sensor
    Options: landsat4_tm, landsat5_tm, landsat7_etm, landsat8_oli, modis
    landsat4_tm: Use transformation rules for Landsat 4 TM
    landsat5_tm: Use transformation rules for Landsat 5 TM
    landsat7_etm: Use transformation rules for Landsat 7 ETM
    landsat8_oli: Use transformation rules for Landsat 8 OLI
    modis: Use transformation rules for MODIS

DESCRIPTION
i.tasscap calculates Tasseled Cap (Kauth Thomas, TC) transformation for Landsat TM data (TM4, TM5, ETM7) and MODIS data. The tasseled cap transformation is effectively a compression method to reduce multiple spectral data into a few bands. The method was originally developed for understanding important phenomena of crop development in spectral space (Kauth and Thomas 1976).

Tasseled cap coefficients for Landsat 7 ETM+ are at-satellite reflectance values (C. Huang et al., 2001), the conversion can be achieved with i.landsat.toar.

The following TC components are generated:

    •   tasscap.1: corresponds to brightness,

    •   tasscap.2: corresponds to greenness,

    •   tasscap.3: corresponds to wetness,

    •   tasscap.4: corresponds to atmospheric haze (only selected sensors: Landsat 5,7,8).

EXAMPLE
Calculation of TC maps from North Carolina Landsat 7 ETM scene:

g.region raster=lsat7_2002_10 -p
i.tasscap sensor=landsat7_etm \
  input=lsat7_2002_10,lsat7_2002_20,lsat7_2002_30,lsat7_2002_40,lsat7_2002_50,lsat7_2002_70 \
  output=tasscap

Results:

’Brightness’ Tasseled Cap component 1 |  | ’Greenness’ Tasseled Cap component 2
’Wetness’ Tasseled Cap component 3 |  | ’Atmospheric haze’ Tasseled Cap component 4

REFERENCES

    •   LANDSAT-4/LANDSAT-5: TC-factor changed to CRIST et al. 1986, Proc. IGARSS 1986, p.1467

    •   Crist, E. P., 1985, A TM tasseled cap equivalent transformation for reflectance factor data, Remote Sensing of Environment, 17: 301-306.

    •   LANDSAT-7: TASSCAP factors cited from: DERIVATION OF A TASSELED CAP TRANSFORMATION BASED ON LANDSAT 7 AT-SATELLITE REFLECTANCE. Chengquan Huang, Bruce Wylie, Limin Yang, Collin Homer and Gregory Zylstra Raytheon ITSS, USGS EROS Data Center Sioux Falls, SD 57198, USA http://landcover.usgs.gov/pdf/tasseled.pdf
        This is published as well in INT. J. OF RS, 2002, VOL 23, NO. 8, 1741-1748.

    •   MODIS Tasselled Cap coefficients - Ref: Lobser & Cohen (2007). MODIS tasselled cap: land cover characteristics expressed through transformed MODIS data. International Journal of Remote Sensing, Volume 28(22), Table 3

SEE ALSO
i.albedo, i.aster.toar, i.landsat.toar, i.atcorr, i.vi

AUTHOR
Markus Neteler, ITC-irst, based on a script by Agustin Lobo

Last changed: $Date: 2014-12-19 22:55:37 +0100 (pÃ¡, 19 12 2014) $

Main index | Imagery index | Topics index | Keywords index | Full index

© 2003-2015 GRASS Development Team, GRASS GIS 7.0.1 Reference Manual